@echo off
REM Edit this bat file to suit your setup
REM BTW : Use MAPSYNTX /? for help
@MAPSYNTX %1
if errorlevel=3 goto END
if errorlevel=2 goto ERRORS
if errorlevel=1 goto WARNINGS
echo Syntax check OK

:OK
echo Continuing with QBSP
qbsp %1
goto End

:WARNINGS
echo There are warnings - press Ctrl+C to stop.
Pause
goto OK

:ERRORS
REM Stop here
echo There are errors in %1 - stopping.

:END